Package com.pixelmed.ftp

# Class FTPRemoteHostInformation

java.lang.Object
com.pixelmed.ftp.FTPRemoteHostInformation

public class FTPRemoteHostInformation extends Object

This class encapsulates information about remote FTP servers.

The following properties are supported:

`Ftp.RemoteHosts` - a space or comma separated list of the local names all the available remote hosts; each local name may be anything unique (in this file) without a space or comma; the local name does not need to be the same as the remote host's name

`Ftp.XXXX.HostNameOrIPAddress` - for the remote host with local name XXXX, what host or IP addess that AE will listen on for incoming connections

`Ftp.XXXX.User` - for the remote host with local name XXXX, what user name to login with

`Ftp.XXXX.Password` - for the remote host with local name XXXX, what password to login with

`Ftp.XXXX.Directory` - for the remote host with local name XXXX, what initial working directory to change to

`Ftp.XXXX.Security` - for the remote host with local name XXXX, what the type of security to use (supported values are NONE, TLS)

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final TreeMap<String,FTPRemoteHost>`
`localNameToRemoteHostMap`
`protected static final String`
`propertyDelimitersForTokenizer_FtpRemoteAEs`
`static final String`
`propertyName_FtpRemoteHosts`
`protected static final String`
`propertyNameSuffix_Directory`
`protected static final String`
`propertyNameSuffix_HostNameOrIPAddress`
`protected static final String`
`propertyNameSuffix_Password`
`protected static final String`
`propertyNameSuffix_Security`
`protected static final String`
`propertyNameSuffix_User`

## Constructor Summary

Constructors
Constructor
Description
`FTPRemoteHostInformation()`
Construct an empty container for properties of FTP network devices.
`FTPRemoteHostInformation(Properties properties)`
Extract the FTP network properties from the supplied properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String localName, FTPRemoteHost frh)`
Add a new host.
`void`
`add(String localName, String host, String user, String password, String directory, FTPSecurityType security)`
Add a new remote FTP host.
`Set`
`getListOfLocalNames()`
Return the set of local names of remote hosts.
`Properties`
`getProperties(Properties properties)`
Retrieve the FTP network properties.
`FTPRemoteHost`
`getRemoteHost(String localName)`
Get the information for the specified remote host.
`void`
`remove(String localName)`
Remove a host.
`void`
`removeAll()`
Completely empty all information.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### propertyName_FtpRemoteHosts

public static final String propertyName_FtpRemoteHosts

See Also:
  - Constant Field Values

### propertyNameSuffix_HostNameOrIPAddress

protected static final String propertyNameSuffix_HostNameOrIPAddress

See Also:
  - Constant Field Values

### propertyNameSuffix_User

protected static final String propertyNameSuffix_User

See Also:
  - Constant Field Values

### propertyNameSuffix_Password

protected static final String propertyNameSuffix_Password

See Also:
  - Constant Field Values

### propertyNameSuffix_Directory

protected static final String propertyNameSuffix_Directory

See Also:
  - Constant Field Values

### propertyNameSuffix_Security

protected static final String propertyNameSuffix_Security

See Also:
  - Constant Field Values

### propertyDelimitersForTokenizer_FtpRemoteAEs

protected static final String propertyDelimitersForTokenizer_FtpRemoteAEs

See Also:
  - Constant Field Values

### localNameToRemoteHostMap

protected final TreeMap<String,FTPRemoteHost> localNameToRemoteHostMap

## Constructor Details

### FTPRemoteHostInformation

public FTPRemoteHostInformation()

Construct an empty container for properties of FTP network devices.

### FTPRemoteHostInformation

public FTPRemoteHostInformation(Properties properties) throws FTPException

Extract the FTP network properties from the supplied properties.

Parameters:
  `properties` -
Throws:
  `FTPException`

## Method Details

### getProperties

public Properties getProperties(Properties properties)

Retrieve the FTP network properties.

param properties the existing properties to add to (removing any properties already there), or null if none

Returns:
  the updated properties or a new set of properties if none supplied

### removeAll

public void removeAll()

Completely empty all information.

### remove

public void remove(String localName)

Remove a host.

Parameters:
  `localName` -

### add

public void add(String localName, FTPRemoteHost frh) throws FTPException

Add a new host.

Parameters:
  `localName` -
  `frh` -
Throws:
  `FTPException` - if local name already used, or either is null or empty

### add

public void add(String localName, String host, String user, String password, String directory, FTPSecurityType security) throws FTPException

Add a new remote FTP host.

Parameters:
  `localName` -
  `host` -
  `user` -
  `password` -
  `directory` -
  `security` -
Throws:
  `FTPException` - if local name or AET already used, or either is null or empty

### getRemoteHost

public FTPRemoteHost getRemoteHost(String localName)

Get the information for the specified remote host.

Parameters:
  `localName` -
Returns:
  the remote host information

### getListOfLocalNames

public Set getListOfLocalNames()

Return the set of local names of remote hosts.

Returns:
  the set of local names

### toString

public String toString()

Overrides:
  `toString` in class `Object`